<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd" >

<suite name="Caesar Regression Suite" verbose="1" >

    <!--<test name="AdminSmoke">-->
        <!--<classes>-->
            <!--<class name="softserve.academy.AdminTests.AdminSmokeTest"/>-->
        <!--</classes>-->
    <!--</test>-->

   <test name="AdminCreateDelete">
        <groups>
            <run>
                <include name="ordinaryAdmin"/>
                <include name="funcCreateDelete"/>
            </run>
            <dependencies>
                <group name="group" depends-on="user" />
                <group name="student" depends-on="user group" />
            </dependencies>
        </groups>
       <classes>
           <class name="softserve.academy.AdminTests.AdminCreateDeleteUserTest"/>
           <class name="softserve.academy.AdminTests.AdminCreateDeleteGroupTest"/>
           <class name="softserve.academy.AdminTests.AdminCreateDeleteStudentTest"/>
       </classes>
    </test>
    <!--<test name="AdminEditUser">-->
        <!--<classes>-->
            <!--<class name="softserve.academy.AdminTests.AdminEditUserTest"/>-->
        <!--</classes>-->
    <!--</test>-->
    <!--<test name="AdminEditGroup">-->
        <!--<classes>-->
            <!--<class name="softserve.academy.AdminTests.AdminEditGroupTest"/>-->
        <!--</classes>-->
    <!--</test>-->

    <!--<test name="AdminEditStudent">-->
        <!--<classes>-->
            <!--<class name="softserve.academy.AdminTests.AdminEditStudentTest"/>-->
        <!--</classes>-->
    <!--</test>-->
    <!--<test name="AdminCreateUserAndLogIn">-->
        <!--<classes>-->
            <!--<class name="softserve.academy.AdminTests.AdminCreateUserAndLogInGroupPageTest"/>-->
        <!--</classes>-->
    <!--</test>-->




</suite>